Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe.joiner
Class OuterJoin.JoinIterator

    java.lang.Object
      cascading.pipe.joiner.InnerJoin.JoinIterator
          cascading.pipe.joiner.OuterJoin.JoinIterator

All Implemented Interfaces:
  Iterator<Tuple>

Direct Known Subclasses:
  LeftJoin.JoinIterator, MixedJoin.JoinIterator, RightJoin.JoinIterator

Enclosing class:
  OuterJoin

    public static class OuterJoin.JoinIterator

extends InnerJoin.JoinIterator

Constructor Summary
`OuterJoin.JoinIterator(JoinerClosure closure)`

Method Summary
`protected Iterator` | `getIterator(int i)`
`protected void` | `init()`
`protected boolean` | `isOuter(int i)`

Methods inherited from class cascading.pipe.joiner.InnerJoin.JoinIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OuterJoin.JoinIterator

    public OuterJoin.JoinIterator(JoinerClosure closure)

Method Detail

### init

    protected void init()

  Overrides:
    `init` in class `InnerJoin.JoinIterator`

### isOuter

    protected boolean isOuter(int i)

### getIterator

    protected Iterator getIterator(int i)

  Overrides:
    `getIterator` in class `InnerJoin.JoinIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.